# E32ENV.PM
#
# Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.
#


# Contains information for makmake and associated e32tools perl programs
# within the Epoc32 Environment

package E32env;

require Exporter;
@ISA=qw(Exporter);

@EXPORT=qw(
	Env_Get
);


my %E32Env;

BEGIN {
	$E32Env{EpocPath}="\\EPOC32\\";
	$E32Env{BaseLangMacro}='LANGUAGE_';
	$E32Env{BldPath}="$E32Env{EpocPath}BUILD\\";
	$E32Env{DataPath}="Z\\SYSTEM\\DATA\\";
	$E32Env{MakePath}="$E32Env{EpocPath}MAKE\\";
	$E32Env{OSMacro}='__SYMBIAN32__';
	$E32Env{OldOSMacro}='__PSISOFT32__';
	$E32Env{RelPath}="$E32Env{EpocPath}RELEASE\\";
	$E32Env{GenHdrPath}="$E32Env{EpocPath}INCLUDE\\";
}

sub Env_Get ($) {
	%{$_[0]}=%E32Env;
}

1;
